Kernel 2.6.25-2-686 i sterownik nvidia

Pomoc dotycząca instalacji systemu
Lyel
Posty: 41
Rejestracja: 24 grudnia 2007, 00:51

Kernel 2.6.25-2-686 i sterownik nvidia

Post autor: Lyel » 16 maja 2008, 12:57

No właśnie... Przy próbie instalacji sterownika nvidii na tym kernelu (driver 169.12 ze strony nvidii) instalator wywala błąd, że ten kernel jest kompilowany pod xen i że sterownik nie będzie zainstalowany. Rzecz w tym, że sądząc z opisu, nie jest to xen kernel. Wybieram właściwy, czyli 2.6.25-2-686. Próbowałem też na innej wersji sterownika i jest to samo. Mógłby ktoś to sprawdzić w chwili wolnego czasu, bo nie wiem, czy to u mnie jakiś błąd, czy kernel w repo jest źle skompilowany. Dzięki i pozdrawiam.

JarekMk
Beginner
Posty: 220
Rejestracja: 30 marca 2007, 11:11
Lokalizacja: Malbork

Post autor: JarekMk » 16 maja 2008, 18:02

Zainstaluj te 173.08 :)

Lyel
Posty: 41
Rejestracja: 24 grudnia 2007, 00:51

Post autor: Lyel » 16 maja 2008, 18:14

Na 173.08 jechałem przez ostatnie dwa tygodnie, ale to sterownik beta, więc pomyślałem, żeby spróbować innej wersji. Problem nie tkwi jednak w sterowniku nv, bo jak pisałem, na innych wersjach mam to samo.

Danthez
Posty: 52
Rejestracja: 13 lipca 2007, 12:28
Lokalizacja: Warszawa

Post autor: Danthez » 16 maja 2008, 20:03

Ja mam ten sam problem poruszony w dziale Desktop. U mnie ten problem pojawia się i na 169 i na 173. I to dziwne bo wcześniej działało a po przeinstalowaniu systemu i zainstalowaniu najnowszego jadra z repo lipa nie chce chodzić. Z tego co słyszałem do wersji 169 potrzebne były patche ale do 173 już nie a i tak nie działa : (

Lyel
Posty: 41
Rejestracja: 24 grudnia 2007, 00:51

Post autor: Lyel » 16 maja 2008, 21:11

Problem o którym Ty piszesz, to jeszcze inna bajka. Gdy pojawił się w repo sida kernel 2.6.25-1, z powodu błędnie skompilowanego linux-kbuild instalator wywalał błąd. Tymczasowo można było wziąć kbuilda np z siduxa, albo patchować sterownik nvidii, ale parę dni później pojawił się dobry kbuild w repo i problem zniknął. Mi chodzi o to, że teraz pojawił się w repo kernel 2.6.25-2, który jest najwyraźniej skompilowany pod xen, chociaż nie powinien...i nie mogę się doprosić, żeby ktoś na próbę zechciał go zainstalować, po czym spróbował dać na to sterownik nv...

[ Dodano: 2008-05-17, 00:37 ]
ok, temat do zamknięcia, wychodzi na to, że to bug w nowym kernelu, związany właśnie z włączonym xen:
-- http://www.nabble.com/Bug-481161 --
Pozdrawiam

Awatar użytkownika
ultr
Posty: 19
Rejestracja: 14 listopada 2007, 00:10
Lokalizacja: Łódź

Post autor: ultr » 13 lipca 2008, 22:57

Ja używam wersji Lenny i właśnie zrobiłem update z kernela 2.6.24-1 do 2.6.25-2.

Próbowałem instalacji sterowników nVidii zarówno w wersji 169.12 jak i 173.14.09. Na obu nie poszło. Testowałem export IGNORE_XEN_PRESENCE=1 i patche (http://www.nvnews.net/vbulletin/showthread.php?t=110088), ale nic to nie dało.

Tymczasowo wróciłem więc na 2.6.24-1 i sterowniki 169.12.

Może ma ktoś jeszcze jakieś rozwiązanie? Najlepiej działające.
Czy w Sidzie już sobie z tym poradzono?


PS. Dlaczego w Sidzie są pakiety nvidia-glx-* ale nigdy nie trafiają one do Lennego? ;-)


Pozdrawiam.

_dexter

Post autor: _dexter » 14 lipca 2008, 12:16

Może ma ktoś jeszcze jakieś rozwiązanie? Najlepiej działające.
Skompiluj kernel ze źródeł, ja tak zrobiłem i nie mam problemu.
Pozdrawiam

Awatar użytkownika
parrotlarch
Beginner
Posty: 393
Rejestracja: 12 kwietnia 2007, 07:31
Lokalizacja: Olsztyn

Post autor: parrotlarch » 14 lipca 2008, 12:52

szkoda, że skuchę z sida wpuścili do Lenny. na razie siedzę na 2.6.24-1, ale chyba się skuszę na kompilację, bo właśnie wyszło jajko 2.6.26...

_dexter

Post autor: _dexter » 14 lipca 2008, 12:54

Dopóki w repo nie pojawi się poprawiony kernel jedynym rozwiązaniem jest własnoręczna kompilacja.
Ps. trochę dziwne że błąd występuje tylko w wersji 32-b

sali
Beginner
Posty: 121
Rejestracja: 29 marca 2007, 17:30
Lokalizacja: z du¿ego pokoju

Post autor: sali » 14 lipca 2008, 13:48

a może TA STRONA coś wyjaśni. Instalowałem 2 dni temu sterownik Nvidii w wersji 96.ble.ble.ble spaczowany wg opisu i śmiga na jądrze 2.6.25-9 (samodzielna kompilacja)

ODPOWIEDZ